summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-ruby/letter_opener
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-ruby/letter_opener')
-rw-r--r--dev-ruby/letter_opener/Manifest2
-rw-r--r--dev-ruby/letter_opener/letter_opener-1.4.0.ebuild31
-rw-r--r--dev-ruby/letter_opener/letter_opener-1.4.1.ebuild31
-rw-r--r--dev-ruby/letter_opener/metadata.xml8
4 files changed, 72 insertions, 0 deletions
diff --git a/dev-ruby/letter_opener/Manifest b/dev-ruby/letter_opener/Manifest
new file mode 100644
index 00000000000..c40226134de
--- /dev/null
+++ b/dev-ruby/letter_opener/Manifest
@@ -0,0 +1,2 @@
+DIST letter_opener-1.4.0.tar.gz 9095 SHA256 db2b5ab4a2bb15d3ba66d650e2dc44209b98ad58434ebd84db014db92f1af68d SHA512 f3cdd48f4b7db4f9a106fa18ee879d8ea33feca6aeac1df577f0976117412bcce3ced96382131fb4eaa6cccc1f2719381e00fa1797c8d7af6ad3736a8c1006b0 WHIRLPOOL 4b040f387b3cda78886fef4a548dbe1848aab7dd84220a860adf0ff2be6c638f7b2a5a7e4753d3c68d3901e0b64765035f45f04a2e14ce71c283b2a251c3c959
+DIST letter_opener-1.4.1.tar.gz 9107 SHA256 0322cbd09e4cadac4c157ee7a9b3ae85a79bd56a7f062979d040f05ad9bd6fdf SHA512 0ebccb1a83e2c6e90b59455502c5c2cb383b4b725c40fe49e3d23f43a0b7ba5fd21aa14b75cce0738ac88f701cac36edef845ab3066c098c06c42c24aafc44cc WHIRLPOOL b8bc90ec8078cc6dc79a7b2e4bd5b53813540a8ee001e691702957e010be63234dfda1907e89baa6560f39e260a6030cda530a06294b3d1dd16b640eedcd2737
diff --git a/dev-ruby/letter_opener/letter_opener-1.4.0.ebuild b/dev-ruby/letter_opener/letter_opener-1.4.0.ebuild
new file mode 100644
index 00000000000..bb9b7e6597b
--- /dev/null
+++ b/dev-ruby/letter_opener/letter_opener-1.4.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Preview mail in the browser instead of sending"
+HOMEPAGE="https://github.com/ryanb/letter_opener"
+SRC_URI="https://github.com/ryanb/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/mail:2.6 )"
+ruby_add_rdepend "dev-ruby/launchy"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile spec/spec_helper.rb || die
+ sed -i -e '4irequire "letter_opener"' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/letter_opener/letter_opener-1.4.1.ebuild b/dev-ruby/letter_opener/letter_opener-1.4.1.ebuild
new file mode 100644
index 00000000000..bb9b7e6597b
--- /dev/null
+++ b/dev-ruby/letter_opener/letter_opener-1.4.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Preview mail in the browser instead of sending"
+HOMEPAGE="https://github.com/ryanb/letter_opener"
+SRC_URI="https://github.com/ryanb/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/mail:2.6 )"
+ruby_add_rdepend "dev-ruby/launchy"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile spec/spec_helper.rb || die
+ sed -i -e '4irequire "letter_opener"' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/letter_opener/metadata.xml b/dev-ruby/letter_opener/metadata.xml
new file mode 100644
index 00000000000..57585514e97
--- /dev/null
+++ b/dev-ruby/letter_opener/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>ruby</herd>
+ <upstream>
+ <remote-id type="github">ryanb/letter_opener</remote-id>
+ </upstream>
+</pkgmetadata>